Main Page Modules Data Structures File List Data Fields Globals Related Pages

# transactionElement_s Struct Reference
[RPMDEP.]

`#include <depends.h>`

## Public Types

enum | rpmTransactionType { TR_ADDED, TR_REMOVED }

## Data Fields

enum transactionElement_s::rpmTransactionType | type
union {
int addedIndex
struct {
int dboffset
int dependsOnIndex
} removed
} | u

## Detailed Description

A single package instance to be installed/removed atomically.

Definition at line 121 of file depends.h.

## Member Enumeration Documentation

enum transactionElement_s::rpmTransactionType

Enumeration values:

  TR_ADDED | Package will be installed.
  TR_REMOVED | Package will be removed.

Definition at line 122 of file depends.h.

## Field Documentation

int transactionElement_s::addedIndex

| Definition at line 127 of file depends.h.

int transactionElement_s::dboffset

| Definition at line 129 of file depends.h.

int transactionElement_s::dependsOnIndex

| Definition at line 130 of file depends.h.

struct { ... } transactionElement_s::removed

enum transactionElement_s::rpmTransactionType transactionElement_s::type

| Package disposition (installed/removed). Referenced by rpmdepOrder.

union { ... } transactionElement_s::u

| Referenced by rpmdepOrder.

The documentation for this struct was generated from the following file:

- lib/depends.h